Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0032147
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2016-02-05 13:212016-03-17 10:56
ReporterngarciaView Statuspublic 
Assigned Tononofrancisco 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiond773239d1563
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tovmromanos
Web browser
ModulesAdvanced Payables and Receivables Mngmt
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0032147: Payment field and Transaction Type fields of Financial Account Transaction tab should be read only once the record is processed

DescriptionPayment field and Transaction Type fields of Financial Account Transaction tab should be read only once the record is processed. It allows the user to create new payments from it
Steps To ReproduceAs group admin role:
   Go to Financial Account - Transaction tab and create a record
   Add or create a payment from it
   Process it

   Go to the Payment field and click on + to create a new payment
   Check the transaction remains associated with the old payment. This is correct
   Check a new payment has been created. This is wrong

   
   The problem is also reproducible if the payment is added through the Create New process of the magnifying glass
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032240 closedinigosanchez Read only logic doesn't work on some columns in grid view 
related to defect 0032148 scheduledmarkmm82 Descriptions of previously selected payments remain in Description field of Financial Account - Transactions tab 

-  Notes
(0084085)
nonofrancisco (developer)
2016-02-10 17:15

Test plan

As Openbravo / F&B International Group Admin

In Financial Account window
  Select Bank Account 2
  In Transaction tab
    Create a new Record
      Transaction Type: BP Withdrawal
      Click on the + icon in Payment selector
        Scroll down the window and open GL Items section
        Click on Add New
        G/L Item: Salaries
        Paid out: 10
        Click on Done button
    Save
    Click on Process button

    Observe the Transaction Type and Payment fields are read only.

    Create a new Record
      Transaction Type: BP Withdrawal
      Click on the magnify icon in Payment selector
      Click on Create New button
        Create the payment
        Click on Done button
    Save
    Click on Process button

    Observe the Transaction Type and Payment fields are read only.
(0084217)
hgbot (developer)
2016-02-15 18:53

Repository: erp/devel/pi
Changeset: d773239d1563d214151047a2d3d3a89cfaf7a758
Author: Nono Carballo <f.carballo <at> nectus.com>
Date: Tue Feb 09 18:39:18 2016 -0500
URL: http://code.openbravo.com/erp/devel/pi/rev/d773239d1563d214151047a2d3d3a89cfaf7a758 [^]

Fixes Issue 32147: Transaction Type and Payment are set read only when the
transaction is processed.

In Transaction tab of Financial Account window, once the transaction is processed
the fields Transaction Type and Payment are set read only.
The Read Only logic of those fields was set to @Processed@='Y'

---
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0084218)
vmromanos (developer)
2016-02-15 18:54

Code review + testing OK
(0085139)
hudsonbot (developer)
2016-03-17 10:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b22fb0500156 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-02-05 13:21 ngarcia New Issue
2016-02-05 13:21 ngarcia Assigned To => Triage Finance
2016-02-05 13:21 ngarcia Modules => Core
2016-02-05 13:21 ngarcia Triggers an Emergency Pack => No
2016-02-05 13:31 ngarcia Modules Core => Advanced Payables and Receivables Mngmt
2016-02-05 13:35 ngarcia Relationship added related to 0032148
2016-02-05 13:35 ngarcia Issue Monitored: networkb
2016-02-09 17:41 nonofrancisco Assigned To Triage Finance => nonofrancisco
2016-02-10 17:15 nonofrancisco Note Added: 0084085
2016-02-10 17:16 nonofrancisco Status new => scheduled
2016-02-15 18:53 hgbot Checkin
2016-02-15 18:53 hgbot Note Added: 0084217
2016-02-15 18:53 hgbot Status scheduled => resolved
2016-02-15 18:53 hgbot Resolution open => fixed
2016-02-15 18:53 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d773239d1563d214151047a2d3d3a89cfaf7a758 [^]
2016-02-15 18:54 vmromanos Relationship added related to 0032240
2016-02-15 18:54 vmromanos Review Assigned To => vmromanos
2016-02-15 18:54 vmromanos Note Added: 0084218
2016-02-15 18:54 vmromanos Status resolved => closed
2016-03-17 10:56 hudsonbot Checkin
2016-03-17 10:56 hudsonbot Note Added: 0085139


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker